﻿using System;
using Moon.Orm;
using System.Collections.Generic;
namespace mynorthdb{
public class Customers:EntityBase{
	public Customers():base(){
	SetEntityName("[Customers]");
	SetFieldsCount(6);
	SetPrimaryField(CustomersTable.CustomerID);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int32   _CustomerID;
	[Field(true,"CustomerID")]
	public Int32 CustomerID{
	get{return _CustomerID;}
	set{
		_CustomerID=value;
	}
	}
	private String   _CustomerName;
	[Field(false,"CustomerName")]
	public String CustomerName{
	get{return _CustomerName;}
	set{
		_CustomerName=value;
		this.FieldsChangedDictionary["[CustomerName]"]=value;
}
	}
	private String   _ContactName;
	[Field(false,"ContactName")]
	public String ContactName{
	get{return _ContactName;}
	set{
		_ContactName=value;
		this.FieldsChangedDictionary["[ContactName]"]=value;
}
	}
	private String   _Address;
	[Field(false,"Address")]
	public String Address{
	get{return _Address;}
	set{
		_Address=value;
		this.FieldsChangedDictionary["[Address]"]=value;
}
	}
	private String   _PostalCode;
	[Field(false,"PostalCode")]
	public String PostalCode{
	get{return _PostalCode;}
	set{
		_PostalCode=value;
		this.FieldsChangedDictionary["[PostalCode]"]=value;
}
	}
	private String   _Tel;
	[Field(false,"Tel")]
	public String Tel{
	get{return _Tel;}
	set{
		_Tel=value;
		this.FieldsChangedDictionary["[Tel]"]=value;
}
	}
	}

public class CustomersTable{
	public static readonly Field CustomerID=new Field("[CustomerID]",true,"[Customers]" );
	public static readonly Field CustomerName=new Field("[CustomerName]",false,"[Customers]" );
	public static readonly Field ContactName=new Field("[ContactName]",false,"[Customers]" );
	public static readonly Field Address=new Field("[Address]",false,"[Customers]" );
	public static readonly Field PostalCode=new Field("[PostalCode]",false,"[Customers]" );
	public static readonly Field Tel=new Field("[Tel]",false,"[Customers]" );
}

public class Orders:EntityBase{
	public Orders():base(){
	SetEntityName("[Orders]");
	SetFieldsCount(6);
	SetPrimaryField(OrdersTable.OrderID);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int32   _OrderID;
	[Field(true,"OrderID")]
	public Int32 OrderID{
	get{return _OrderID;}
	set{
		_OrderID=value;
	}
	}
	private Int32?   _CustomerID;
	[Field(false,"CustomerID")]
	public Int32? CustomerID{
	get{return _CustomerID;}
	set{
		_CustomerID=value;
		this.FieldsChangedDictionary["[CustomerID]"]=value;
}
	}
	private DateTime   _OrderDate;
	[Field(false,"OrderDate")]
	public DateTime OrderDate{
	get{return _OrderDate;}
	set{
		_OrderDate=value;
		this.FieldsChangedDictionary["[OrderDate]"]=value;
}
	}
	private Decimal   _SumMoney;
	[Field(false,"SumMoney")]
	public Decimal SumMoney{
	get{return _SumMoney;}
	set{
		_SumMoney=value;
		this.FieldsChangedDictionary["[SumMoney]"]=value;
}
	}
	private String   _Comment;
	[Field(false,"Comment")]
	public String Comment{
	get{return _Comment;}
	set{
		_Comment=value;
		this.FieldsChangedDictionary["[Comment]"]=value;
}
	}
	private Boolean   _Finished;
	[Field(false,"Finished")]
	public Boolean Finished{
	get{return _Finished;}
	set{
		_Finished=value;
		this.FieldsChangedDictionary["[Finished]"]=value;
}
	}
	}

public class OrdersTable{
	public static readonly Field OrderID=new Field("[OrderID]",true,"[Orders]" );
	public static readonly Field CustomerID=new Field("[CustomerID]",false,"[Orders]" );
	public static readonly Field OrderDate=new Field("[OrderDate]",false,"[Orders]" );
	public static readonly Field SumMoney=new Field("[SumMoney]",false,"[Orders]" );
	public static readonly Field Comment=new Field("[Comment]",false,"[Orders]" );
	public static readonly Field Finished=new Field("[Finished]",false,"[Orders]" );
}

public class Products:EntityBase{
	public Products():base(){
	SetEntityName("[Products]");
	SetFieldsCount(7);
	SetPrimaryField(ProductsTable.ProductID);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int32   _ProductID;
	[Field(true,"ProductID")]
	public Int32 ProductID{
	get{return _ProductID;}
	set{
		_ProductID=value;
	}
	}
	private String   _ProductName;
	[Field(false,"ProductName")]
	public String ProductName{
	get{return _ProductName;}
	set{
		_ProductName=value;
		this.FieldsChangedDictionary["[ProductName]"]=value;
}
	}
	private Int32   _CategoryID;
	[Field(false,"CategoryID")]
	public Int32 CategoryID{
	get{return _CategoryID;}
	set{
		_CategoryID=value;
		this.FieldsChangedDictionary["[CategoryID]"]=value;
}
	}
	private String   _Unit;
	[Field(false,"Unit")]
	public String Unit{
	get{return _Unit;}
	set{
		_Unit=value;
		this.FieldsChangedDictionary["[Unit]"]=value;
}
	}
	private Decimal   _UnitPrice;
	[Field(false,"UnitPrice")]
	public Decimal UnitPrice{
	get{return _UnitPrice;}
	set{
		_UnitPrice=value;
		this.FieldsChangedDictionary["[UnitPrice]"]=value;
}
	}
	private String   _Remark;
	[Field(false,"Remark")]
	public String Remark{
	get{return _Remark;}
	set{
		_Remark=value;
		this.FieldsChangedDictionary["[Remark]"]=value;
}
	}
	private Int32   _Quantity;
	[Field(false,"Quantity")]
	public Int32 Quantity{
	get{return _Quantity;}
	set{
		_Quantity=value;
		this.FieldsChangedDictionary["[Quantity]"]=value;
}
	}
	}

public class ProductsTable{
	public static readonly Field ProductID=new Field("[ProductID]",true,"[Products]" );
	public static readonly Field ProductName=new Field("[ProductName]",false,"[Products]" );
	public static readonly Field CategoryID=new Field("[CategoryID]",false,"[Products]" );
	public static readonly Field Unit=new Field("[Unit]",false,"[Products]" );
	public static readonly Field UnitPrice=new Field("[UnitPrice]",false,"[Products]" );
	public static readonly Field Remark=new Field("[Remark]",false,"[Products]" );
	public static readonly Field Quantity=new Field("[Quantity]",false,"[Products]" );
}

public class Order_Details:EntityBase{
	public Order_Details():base(){
	SetEntityName("[Order_Details]");
	SetFieldsCount(4);
	SetPrimaryField(Order_DetailsTable.OrderID_ProductID);
	SetIsSystemSetPrimaryKey(false);
	}
	private Int32   _OrderID;
	[Field(false,"OrderID")]
	public Int32 OrderID{
	get{return _OrderID;}
	set{
		_OrderID=value;
		this.FieldsChangedDictionary["[OrderID]"]=value;
}
	}
	private Int32   _ProductID;
	[Field(false,"ProductID")]
	public Int32 ProductID{
	get{return _ProductID;}
	set{
		_ProductID=value;
		this.FieldsChangedDictionary["[ProductID]"]=value;
}
	}
	private Decimal   _UnitPrice;
	[Field(false,"UnitPrice")]
	public Decimal UnitPrice{
	get{return _UnitPrice;}
	set{
		_UnitPrice=value;
		this.FieldsChangedDictionary["[UnitPrice]"]=value;
}
	}
	private Int32   _Quantity;
	[Field(false,"Quantity")]
	public Int32 Quantity{
	get{return _Quantity;}
	set{
		_Quantity=value;
		this.FieldsChangedDictionary["[Quantity]"]=value;
}
	}
	}

public class Order_DetailsTable{
	public static readonly Field OrderID=new Field("[OrderID]",false,"[Order_Details]" );
	public static readonly Field ProductID=new Field("[ProductID]",false,"[Order_Details]" );
	public static readonly Field UnitPrice=new Field("[UnitPrice]",false,"[Order_Details]" );
	public static readonly Field Quantity=new Field("[Quantity]",false,"[Order_Details]" );
	public static readonly Field OrderID_ProductID=new Field("[OrderID_ProductID]",true,"[Order_Details]"  );
}

public class T_Class:EntityBase{
	public T_Class():base(){
	SetEntityName("[T_Class]");
	SetFieldsCount(2);
	SetPrimaryField(T_ClassTable.ID);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int32   _ID;
	[Field(true,"ID")]
	public Int32 ID{
	get{return _ID;}
	set{
		_ID=value;
	}
	}
	private String   _Name;
	[Field(false,"Name")]
	public String Name{
	get{return _Name;}
	set{
		_Name=value;
		this.FieldsChangedDictionary["[Name]"]=value;
}
	}
	}

public class T_ClassTable{
	public static readonly Field ID=new Field("[ID]",true,"[T_Class]" );
	public static readonly Field Name=new Field("[Name]",false,"[T_Class]" );
}

public class T_Student:EntityBase{
	public T_Student():base(){
	SetEntityName("[T_Student]");
	SetFieldsCount(5);
	SetPrimaryField(T_StudentTable.ID);
	SetIsSystemSetPrimaryKey(false);
	}
	private Guid   _ID;
	[Field(true,"ID")]
	public Guid ID{
	get{return _ID;}
	set{
		_ID=value;
	}
	}
	private String   _Name;
	[Field(false,"Name")]
	public String Name{
	get{return _Name;}
	set{
		_Name=value;
		this.FieldsChangedDictionary["[Name]"]=value;
}
	}
	private Int32   _ClassID;
	[Field(false,"ClassID")]
	public Int32 ClassID{
	get{return _ClassID;}
	set{
		_ClassID=value;
		this.FieldsChangedDictionary["[ClassID]"]=value;
}
	}
	private String   _Phone;
	[Field(false,"Phone")]
	public String Phone{
	get{return _Phone;}
	set{
		_Phone=value;
		this.FieldsChangedDictionary["[Phone]"]=value;
}
	}
	private String   _Email;
	[Field(false,"Email")]
	public String Email{
	get{return _Email;}
	set{
		_Email=value;
		this.FieldsChangedDictionary["[Email]"]=value;
}
	}
	}

public class T_StudentTable{
	public static readonly Field ID=new Field("[ID]",true,"[T_Student]" );
	public static readonly Field Name=new Field("[Name]",false,"[T_Student]" );
	public static readonly Field ClassID=new Field("[ClassID]",false,"[T_Student]" );
	public static readonly Field Phone=new Field("[Phone]",false,"[T_Student]" );
	public static readonly Field Email=new Field("[Email]",false,"[T_Student]" );
}

public class T_Teacher:EntityBase{
	public T_Teacher():base(){
	SetEntityName("[T_Teacher]");
	SetFieldsCount(6);
	SetPrimaryField(T_TeacherTable.ID);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int32   _ID;
	[Field(true,"ID")]
	public Int32 ID{
	get{return _ID;}
	set{
		_ID=value;
	}
	}
	private String   _Name;
	[Field(false,"Name")]
	public String Name{
	get{return _Name;}
	set{
		_Name=value;
		this.FieldsChangedDictionary["[Name]"]=value;
}
	}
	private String   _Address;
	[Field(false,"Address")]
	public String Address{
	get{return _Address;}
	set{
		_Address=value;
		this.FieldsChangedDictionary["[Address]"]=value;
}
	}
	private String   _Phone;
	[Field(false,"Phone")]
	public String Phone{
	get{return _Phone;}
	set{
		_Phone=value;
		this.FieldsChangedDictionary["[Phone]"]=value;
}
	}
	private String   _Email;
	[Field(false,"Email")]
	public String Email{
	get{return _Email;}
	set{
		_Email=value;
		this.FieldsChangedDictionary["[Email]"]=value;
}
	}
	private Int32   _ClassID;
	[Field(false,"ClassID")]
	public Int32 ClassID{
	get{return _ClassID;}
	set{
		_ClassID=value;
		this.FieldsChangedDictionary["[ClassID]"]=value;
}
	}
	}

public class T_TeacherTable{
	public static readonly Field ID=new Field("[ID]",true,"[T_Teacher]" );
	public static readonly Field Name=new Field("[Name]",false,"[T_Teacher]" );
	public static readonly Field Address=new Field("[Address]",false,"[T_Teacher]" );
	public static readonly Field Phone=new Field("[Phone]",false,"[T_Teacher]" );
	public static readonly Field Email=new Field("[Email]",false,"[T_Teacher]" );
	public static readonly Field ClassID=new Field("[ClassID]",false,"[T_Teacher]" );
}

public class Categories:EntityBase{
	public Categories():base(){
	SetEntityName("[Categories]");
	SetFieldsCount(2);
	SetPrimaryField(CategoriesTable.CategoryID);
	SetIsSystemSetPrimaryKey(true);
	}
	private Int32   _CategoryID;
	[Field(true,"CategoryID")]
	public Int32 CategoryID{
	get{return _CategoryID;}
	set{
		_CategoryID=value;
	}
	}
	private String   _CategoryName;
	[Field(false,"CategoryName")]
	public String CategoryName{
	get{return _CategoryName;}
	set{
		_CategoryName=value;
		this.FieldsChangedDictionary["[CategoryName]"]=value;
}
	}
	}

public class CategoriesTable{
	public static readonly Field CategoryID=new Field("[CategoryID]",true,"[Categories]" );
	public static readonly Field CategoryName=new Field("[CategoryName]",false,"[Categories]" );
}

}
