﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Xml.Linq;

using Moon.Orm;
using mynorthdb;

namespace Razor.Moon
{
	
	public class ActionRoleManager
	{
		
		public static string GetActionRoles(string action, string controller) {
			XElement rootElement = XElement.Load(HttpRuntime.AppDomainAppPath+"\\role.xml");
			XElement controllerElement = findElementByAttribute(rootElement, "Controller", controller);
			if (controllerElement != null)
			{
				XElement actionElement = findElementByAttribute(controllerElement, "Action", action);
				if (actionElement != null)
				{
					return actionElement.Value;
				}
			}
			return "";
		}

		public static XElement findElementByAttribute(XElement xElement,string tagName, string attribute)
		{
			return xElement.Elements(tagName).FirstOrDefault(x => x.Attribute("name").Value.Equals(attribute,StringComparison.OrdinalIgnoreCase));
		}
	}
}
